#line 1 "C:/Users/Tiziano Galizia/Desktop/EasyBluetooth/Software/EP4/DISPLAY Bluetooth C/DISPLAY_BT.c"
#line 19 "C:/Users/Tiziano Galizia/Desktop/EasyBluetooth/Software/EP4/DISPLAY Bluetooth C/DISPLAY_BT.c"
char text;

unsigned short v, por1, por2, por3;

void BT_SetCableReplacement();

unsigned short mask(unsigned short);

void interrupt() {
 if (v==0) {
 PORTD = por1;
 PORTA = 1;
 v = 1;
 } else if (v==1){
 PORTD = por2;
 PORTA = 2;
 v = 2;
 } else {
 PORTD = por3;
 PORTA = 4;
 v = 0;
 }
 TMR0 = 0;
 INTCON = 0x20;
}

void main() {
 USART_init(9600);
 BT_SetCableReplacement();

 OPTION_REG = 0x80;
 PORTA = 0;
 TRISA = 0;
 PORTD = 0;
 TRISD = 0;
 TMR0 = 0;
 por1 = mask(0);
 por2 = mask(0);
 por3 = mask(0);
 INTCON = 0xA0;

 while (1) {
 if (USART_Data_Ready()) {
 text = USART_Read();
 por1 = mask(text/100);
 por2 = mask((text%100)/10);
 por3 = mask(text%10);
 USART_Write(text);
 }
 }
}

void BT_SetCableReplacement()
{
 USART_Write(0x02);
 USART_Write(0x52);
 USART_Write(0x4E);
 USART_Write(0x01);
 USART_Write(0x00);
 USART_Write(0xA1);
 USART_Write(0x03);
 USART_Write(0x03);
}


unsigned short mask(unsigned short num) {
 switch (num) {
 case 0 : return 0x3F;
 case 1 : return 0x06;
 case 2 : return 0x5B;
 case 3 : return 0x4F;
 case 4 : return 0x66;
 case 5 : return 0x6D;
 case 6 : return 0x7D;
 case 7 : return 0x07;
 case 8 : return 0x7F;
 case 9 : return 0x6F;
 }
}
